Skip to content

Get details of a specific workflow run instance.

Request

Returns the status of a workflow run which can be one of the following -

  1. SUBMITTED - Workflow trigger accepted by platform, but actual workflow run has not started.
  2. RUNNING - Workflow in progress or under execution.
  3. SUCCESS - Workflow run completed successfully.
  4. FAILED - Workflow run completed with failures.

A workflow status of either SUCCESS or FAILED represents the completion of a workflow run.

Security
bearer
Path
workflow_namestringrequired

Workflow Name.

runIdstringrequired

Run id for the workflow.

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Workflow execution detail.

Bodyapplication/json
endTimeStampnumberread-only

End timestamp of the workflow run. Epoch timestamp.

runIdstringread-only

Run id for the workflow.

startTimeStampnumberread-only

Start timestamp of the workflow run. Epoch timestamp.

statusstring(status)

Task execution status

Enum:"submitted""running""failed""success"
submittedBystringread-only

System captured user details which triggered the run.

workflowIdstringread-only

Workflow id for the workflow.

Response
{ "endTimeStamp": 0, "runId": "string", "startTimeStamp": 0, "status": "submitted", "submittedBy": "string", "workflowId": "string" }